Subject: Re: bug#24251: Potential cp bug: directories created with --parents and --no-preserve=mode retain original mode bits don't match ~umask

From: Mark Mitchell <[email-masked]>
Date: Fri, 19 Aug 2016 02:36:31 +0000

Wow that was quick -- thanks again for your time,

-Mark

On Thu, Aug 18, 2016 at 2:38 PM, Jim Meyering <[email-masked]> wrote:

> On Thu, Aug 18, 2016 at 5:57 AM, Pádraig Brady <[email-masked]> wrote:
> > On 17/08/16 12:42, Mark Mitchell wrote:
> >> Hi,
> >>
> >> I'm writing to report a potential bug with cp.  I don't think the mode
> bits
> >> always get properly set on directories created when using the --parents
> >> option combined with --no-preserve=mode option.  I'm not sure what the
> >> expected behaviour is supposed to be, but my assumption is that the
> created
> >> directories would match process's ~umask (like mkdir -p).
> >>
> >> I've attached a simple script and its output to demonstrate the
> behaviour.
> >> I've tested this on the most recent master branch of the coreutils git
> >> repository (output of git describe is 'v8.25-55-gff2178b').
> >>
> >> Thanks for your efforts on these utilities, it is much appreciated :-).
> >
> > I agree that's unexpected, especially since cp -r --no-preserve=mode
> > does not copy the permissions for created dirs.
> >
> > I think this may have changed with:
> > http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;
> h=v5.92-435-gfdffb6b
> >
> > I've adjusted things back in the attached.
>
> That looks right. Thank you!
>